"use strict";

exports.NO_HOST_ERROR = 'Missing \'host\' property.';
exports.NO_CONSUMER_KEY_ERROR = 'Missing \'oauth_consumer_key\' property.';
exports.NO_PRIVATE_KEY_ERROR = 'Missing \'oauth_private_key\' property.';
exports.NO_OAUTH_TOKEN_ERROR = 'Missing \'oauth_token\' property.';
exports.NO_OAUTH_TOKEN_SECRET_ERROR = 'Missing \'oauth_token_secret\' property.';
exports.NO_USERNAME_ERROR = 'Missing \'username\' property.';
exports.NO_PASSWORD_ERROR = 'Missing \'password\' property.';
exports.NO_EMAIL_ERROR = 'Missing \'email\' property.';
exports.NO_APITOKEN_ERROR = 'Missing \'api_token\' property.';
exports.NO_AUTHENTICATION_ERROR = 'Missing \'auth\' property.';
exports.NO_JWT_SECRET_KEY_ERROR = 'Missing \'jwt_secret\' property.';
exports.NO_JWT_ISS_KEY_ERROR = 'Missing \'jwt_iss\' property.';
exports.NO_VERIFIER_ERROR = 'Missing \'oauth_verifier\' property.';
exports.INVALID_AUTHENTICATION_PROPERTY_ERROR = 'Invalid \'auth\' property.';
exports.NO_ISSUE_IDENTIFIER = 'Missing Issue ID or Key';
exports.NO_COMMENT_ID = 'Missing \'commentID\' property.';
exports.NO_COMMENT_ERROR = 'Missing \'comment\' property.';
exports.NO_NOTIFICATION_ERROR = 'Missing \'notification\' property';
exports.NO_GLOBAL_ID_ERROR = 'Missing \'globalId\' property.';
exports.NO_LINK_ID_ERROR = 'Missing \'linkId\' property.';
exports.NO_TRANSITION_ERROR = 'Missing \'transition\' property.';
exports.NO_ISSUE_ERROR = 'Missing \'issue\' property';
exports.NO_ASSIGNEE_ERROR = 'Missing \'assignee\' property';
exports.NO_WATCHER_ERROR = 'Missing \'watcher\' property';
exports.NO_WORKLOG_ERROR = 'Missing \'worklog\' property';
exports.NO_WORKLOG_ID_ERROR = 'Missing \'worklogId\' property';
exports.NO_FILENAME_ERROR = 'Missing \'filename\' property';
exports.NO_PROPERTY_KEY_ERROR = 'Missing \'propertyKey\' property';
exports.NO_PROPERTY_VALUE_ERROR = 'Missing \'propertyValue\' property';
exports.NO_ATTACHMENT_ID_ERROR = 'Missing \'attachmentId\' property';
exports.NO_AUDIT_ERROR = 'Missing \'audit\' property';
exports.NO_AVATAR_TYPE_ERROR = 'Missing \'avatarType\' property';
exports.NO_COMMENT_PROPERTY_KEY_ERROR = 'Missing \'propertyKey\' property';
exports.NO_COMMENT_PROPERTY_VALUE_ERROR = 'Missing \'propertyValue\' property';
exports.NO_ISSUE_LINK_ERROR = 'Missing\'issueLink\' property';
exports.NO_ISSUE_LINK_ID_ERROR = 'Missing\'linkId\' property';
exports.NO_ISSUE_LINK_TYPE_ID = 'Missing \'issueLinkTypeId\' property.';
exports.NO_FIELD_OPTION_ID_ERROR = 'Missing \'fieldOptionId\' property.';
